Permalink
Browse files

Merge branch '2.0' into 2.1

* 2.0:
  Restrict Monolog version to be in version <1.3
  [Console] Make getTerminalWith & getTerminalHeight public
  [DependencyInjection] fixed PhpDumper optimizations when an inlined service depends on the current one indirectly
  [DependencyInjection] fixed PhpDumper when an inlined service definition has some properties
  [DependencyInjection] added some tests for PhpDumper when the container is compiled
  [DependencyInjection] fixed CS
  [Locale] Adjust `StubIntlDateFormatter` to have new methods added in PHP 5.5
  [Locale] Fix failing `StubIntlDateFormatter` tests in PHP 5.5
  [Locale] Fix failing `StubIntlDateFormatter` in PHP 5.5
  [Form] Fix failing `MonthChoiceList` in PHP 5.5
  Update .travis.yml

Conflicts:
	src/Symfony/Bridge/Monolog/composer.json
	src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/services9.php
	src/Symfony/Component/Form/Extension/Core/ChoiceList/MonthChoiceList.php
	tests/Symfony/Tests/Component/DependencyInjection/Fixtures/yaml/services9.yml
  • Loading branch information...
fabpot committed Jan 5, 2013
2 parents 7162d8d + b5c3dd0 commit 44a248b804f08d99ed4a50ed0d18865ff9c465e9
Showing with 1 addition and 1 deletion.
  1. +1 −1 composer.json
View
@@ -18,7 +18,7 @@
"require": {
"php": ">=5.3.3",
"symfony/http-kernel": "2.1.*",
- "monolog/monolog": "1.*"
+ "monolog/monolog": ">=1.0,<1.3-dev"
},
"autoload": {
"psr-0": { "Symfony\\Bridge\\Monolog": "" }

0 comments on commit 44a248b

Please sign in to comment.